# Type Alias DirectiveLinkFn

DirectiveLinkFn: (
scope: Scope,
element: HTMLElement,
attrs: Attributes,
controller?: TController,
transclude?: (...args: any[]) => any,
) => void

A link function executed during directive linking.

#### Type declaration

- - (
    scope: Scope,
    element: HTMLElement,
    attrs: Attributes,
    controller?: TController,
    transclude?: (...args: any[]) => any,
    ): void

  - #### Parameters

    - scope: Scope
    - element: HTMLElement
    - attrs: Attributes
    - `Optional` controller: TController
    - `Optional` transclude: (...args: any[]) => any

    #### Returns void

- Defined in src/interface.ts:186